## python-cffi 1.15.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/CFFI.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/CFFI.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-cffi 0.5

=== debian/changelog ===
python-cffi (0.5-0ubuntu3) raring; urgency=low

  * Add a missing b to a byte-string in a big-endian-only code-path, fixing a
    test failure.

 -- Stefano Rivera <stefanor@ubuntu.com>  Sat, 30 Mar 2013 23:12:16 +0200

python-cffi (0.5-0ubuntu2) raring; urgency=low

  * Fix long double related test failures on non-x86 (LP: #1157978)

 -- Stefano Rivera <stefanor@ubuntu.com>  Sat, 30 Mar 2013 19:57:48 +0200

python-cffi (0.5-0ubuntu1) raring; urgency=low

  * Upload to raring from the Debian NEW queue.

 -- Stefano Rivera <stefanor@ubuntu.com>  Thu, 07 Mar 2013 17:06:27 +0200

python-cffi (0.5-1) unstable; urgency=low

  * Initial package (Closes: #700084)

 -- Stefano Rivera <stefanor@debian.org>  Mon, 25 Feb 2013 12:12:31 +0200

=== debian/control ===
Source: python-cffi
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Stefano Rivera <stefanor@debian.org>
Build-Depends:
 debhelper (>= 9),
 libffi-dev,
 python-all-dbg,
 python-all-dev (>= 2.6.6-3~),
 python-py,
 python-pycparser,
 python-pytest,
 python-setuptools,
 python-virtualenv,
 python3-all-dbg,
 python3-all-dev (>= 3.1.2-6~),
 python3-py,
 python3-pycparser,
 python3-pytest,
 python3-setuptools
Standards-Version: 3.9.4
Homepage: http://cffi.readthedocs.org/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-cffi/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-cffi/trunk/
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.1
XS-Testsuite: autopkgtest

Package: python-cffi
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Description: Foreign Function Interface for Python calling C code
 Convenient and reliable way of calling C code from Python.
 .
 The aim of this project is to provide a convenient and reliable way of calling
 C code from Python. It keeps Python logic in Python, and minimises the C
 required. It is able to work at either the C API or ABI level, unlike most
 other approaches, that only support the ABI level.

Package: python-cffi-dbg
Architecture: any
Section: debug
Priority: extra
Depends:
 python-cffi (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Description: Foreign Function Interface for Python calling C code (Debug version)
 Convenient and reliable way of calling C code from Python.
 .
 The aim of this project is to provide a convenient and reliable way of calling
 C code from Python. It keeps Python logic in Python, and minimises the C
 required. It is able to work at either the C API or ABI level, unlike most
 other approaches, that only support the ABI level.
 .
 This package contains the debug version of python-cffi.

Package: python3-cffi
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Foreign Function Interface for Python 3 calling C code
 Convenient and reliable way of calling C code from Python 3.
 .
 The aim of this project is to provide a convenient and reliable way of calling
 C code from Python. It keeps Python logic in Python, and minimises the C
 required. It is able to work at either the C API or ABI level, unlike most
 other approaches, that only support the ABI level.

Package: python3-cffi-dbg
Architecture: any
Section: debug
Priority: extra
Depends:
 python3-cffi (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends}
Description: Foreign Function Interface for Python 3 calling C code (Debug version)
 Convenient and reliable way of calling C code from Python 3.
 .
 The aim of this project is to provide a convenient and reliable way of calling
 C code from Python. It keeps Python logic in Python, and minimises the C
 required. It is able to work at either the C API or ABI level, unlike most
 other approaches, that only support the ABI level.
 .
 This package contains the debug version of python-cffi.

=== debian/rules ===
#!/usr/bin/make -f

PYVERS = $(shell pyversions -vr)
PY3VERS = $(shell py3versions -vr)

# For py_builddir_sh
include /usr/share/python/python.mk

%:
	dh $@ --with python2,python3

override_dh_auto_build:
	set -e -x; \
	for py in $(PYVERS) $(PY3VERS); do \
		python$$py setup.py build; \
		python$$py-dbg setup.py build; \
	done

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -ex; \
	export TMPDIR=$(CURDIR)/build/tmp; \
	mkdir "$$TMPDIR"; \
	for py in $(PYVERS) $(PY3VERS); do \
		PYTHONPATH=$(call py_builddir_sh,$$py) py.test-$$py c/ testing/; \
		PYTHONPATH=$(call py_builddir_sh,$$py-dbg) python$$py-dbg $(shell which py.test) c/ testing/; \
	done
endif

override_dh_auto_install:
	set -e -x; \
	for py in $(PYVERS); do \
		python$$py setup.py install --skip-build --root debian/python-cffi --install-layout=deb; \
		python$$py-dbg setup.py install --skip-build --root debian/python-cffi-dbg --install-layout=deb; \
	done
	set -e -x; \
	for py in $(PY3VERS); do \
		python$$py setup.py install --skip-build --root debian/python3-cffi --install-layout=deb; \
		python$$py-dbg setup.py install --skip-build --root debian/python3-cffi-dbg --install-layout=deb; \
	done

override_dh_auto_clean:
	rm -rf build
	find . -name '*.pyc' -delete
	find . -path '*/__pycache__/*' -delete
	rm -rf $(wildcard testing/snippets/*/dist testing/snippets/*/build testing/snippets/*/*.egg-info)

override_dh_strip:
	dh_strip -p python-cffi --dbg-package=python-cffi-dbg
	dh_strip -p python3-cffi --dbg-package=python3-cffi-dbg
	dh_strip --remaining-packages

override_dh_clean:
	dh_clean
	rm -rf __pycache__

=== debian/tests/control ===
Tests: unittests
Depends: python-all, python-all-dbg, python-cffi, python-cffi-dbg, python-py, python-pytest, python-virtualenv

Tests: unittests3
Depends: python-virtualenv, python3-all, python3-all-dbg, python3-cffi, python3-cffi-dbg, python3-py, python3-pytest

=== debian/watch ===
version=3

http://pypi.python.org/packages/source/c/cffi/cffi-([0-9.]+).tar.gz

## python-cffi 0.6

=== debian/changelog ===
python-cffi (0.6-1) unstable; urgency=low

  * New upstream release.
    - Fixing most of the build failures.
  * Drop all patches (superseded upstream).
  * autopkgtests: Depend on python-dev / python3-dev.
  * Suggest python-dev / python3-dev (needed for building verifier
    extensions).

 -- Stefano Rivera <stefanor@debian.org>  Tue, 16 Apr 2013 18:18:19 +0200

=== debian/control ===
--- 
+++ 
@@ -30,6 +30,7 @@
 Package: python-cffi
 Architecture: any
 Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
+Suggests: python-dev
 Description: Foreign Function Interface for Python calling C code
  Convenient and reliable way of calling C code from Python.
  .
@@ -60,6 +61,7 @@
 Package: python3-cffi
 Architecture: any
 Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
+Suggests: python3-dev
 Description: Foreign Function Interface for Python 3 calling C code
  Convenient and reliable way of calling C code from Python 3.
  .

=== debian/tests/control ===
Tests: unittests
Depends: python-all-dbg, python-all-dev, python-cffi, python-cffi-dbg, python-py, python-pytest, python-virtualenv

Tests: unittests3
Depends: python-virtualenv, python3-all-dbg, python3-all-dev, python3-cffi, python3-cffi-dbg, python3-py, python3-pytest

## python-cffi 0.7.2

=== debian/changelog ===
python-cffi (0.7.2-2) unstable; urgency=low

  * Patch: big-endian-bitfields. Handle bitfields correctly on big endian
    archs.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 01 Sep 2013 17:41:20 +0200

python-cffi (0.7.2-1) unstable; urgency=low

  [ Stefano Rivera ]
  * New upstream release.
    - Supports creating void * handles for Python objects.
  * Switched watch file to https.
  * Build with pybuild.
  * Use -m pytest in autopkgtests.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 09 Aug 2013 16:22:47 +0200

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_DESTDIR_python2=debian/python-cffi/
export PYBUILD_DESTDIR_python2-dbg=debian/python-cffi-dbg/
export PYBUILD_DESTDIR_python3=debian/python3-cffi/
export PYBUILD_DESTDIR_python3-dbg=debian/python3-cffi-dbg/

%:
	dh $@ --with python2,python3 --buildsystem pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
		PYBUILD_TEST_ARGS="{interpreter} -m pytest c/ testing/" \
		dh_auto_test

override_dh_strip:
	dh_strip -p python-cffi -p python-cffi-dbg --dbg-package=python-cffi-dbg
	dh_strip -p python3-cffi -p python3-cffi-dbg --dbg-package=python3-cffi-dbg
	dh_strip --remaining-packages

override_dh_clean:
	dh_clean
	rm -rf $(wildcard testing/snippets/*/build testing/snippets/*/dist testing/snippets/*/*.egg-info)

## python-cffi 0.8.2

=== debian/changelog ===
python-cffi (0.8.2-0ubuntu1) trusty; urgency=medium

  * New upstream version.
  * Remove patches applied upstream.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Mar 2014 12:26:53 +0100

python-cffi (0.8.1-1ubuntu4) trusty; urgency=medium

  * Add upstream-link-sin.diff: Backport upstream commit to fix linking with
    -lm in the tests. Hopefully fixes i386 test failure/FTBFS (not
     reproducible locally).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 25 Feb 2014 16:58:33 +0100

python-cffi (0.8.1-1ubuntu3) trusty; urgency=medium

  * Disable autopkgtest on non-x86. Running it on armhf and ppc64 produces
    massive stdout output, resulting in two 2.5 GB log files.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 21 Feb 2014 08:46:03 -0800

python-cffi (0.8.1-1ubuntu2) trusty; urgency=medium

  * AArch64 fixes (Will Newton).  LP: #1271256.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 22 Jan 2014 13:30:00 +0100

python-cffi (0.8.1-1ubuntu1) trusty; urgency=medium

  * Ignore the test results on AArch64, see lp #1271256.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 21 Jan 2014 18:36:04 +0100

python-cffi (0.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop big-endian-bitfields patch, superseded upstream.
  * Patch: py3.4-test-failure. Add a missing goto to an error path.
    (Closes: #734299, LP: #1270401)

 -- Stefano Rivera <stefanor@debian.org>  Sat, 18 Jan 2014 20:22:26 +0200

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends:
  debhelper (>= 9),
+ dh-python,
  libffi-dev,
  python-all-dbg,
  python-all-dev (>= 2.6.6-3~),
@@ -21,8 +22,8 @@
  python3-setuptools
 Standards-Version: 3.9.4
 Homepage: http://cffi.readthedocs.org/
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-cffi/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-cffi/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-cffi/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-cffi/trunk/
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.1
 XS-Testsuite: autopkgtest

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 export PYBUILD_DESTDIR_python2=debian/python-cffi/
 export PYBUILD_DESTDIR_python2-dbg=debian/python-cffi-dbg/

=== debian/tests/control ===
Tests: unittests
Depends:
 python-all-dbg,
 python-all-dev,
 python-cffi,
 python-cffi-dbg,
 python-py,
 python-pytest,
 python-virtualenv

Tests: unittests3
Depends:
 python-virtualenv,
 python3-all-dbg,
 python3-all-dev,
 python3-cffi,
 python3-cffi-dbg,
 python3-py,
 python3-pytest

=== debian/watch ===
version=3

https://pypi.python.org/packages/source/c/cffi/cffi-([0-9.]+).tar.gz

## python-cffi 0.8.6

=== debian/changelog ===
python-cffi (0.8.6-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches, applied upstream.
  * Patch: arm64: Test suite passes on arm64 (LP: #1271256)
  * Bump Standards-Version to 3.9.5, no changes needed.
  * Use pybuild's --name feature. Bump B-D appropriately.
  * Use --tb=native for ADT tests, so that logs won't get GB long
    (Closes: #743244)
  * Depend on build-essential in ADT tests.
  * Build-Depend (and ADT Depend) on the new virtualenv package, rather than
    python-virtualenv, for the zintegration tests.
  * Add DEP-12 upstream metadata.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 24 Jul 2014 10:55:19 +0200

python-cffi (0.8.1-2) unstable; urgency=medium

  * Team upload

  [ Stefano Rivera ]
  * Patch: link-libm. Fixes build failures on Sparc and S390x, where libm
    isn't implicitly linked (Closes: #733517)
  * Patch: skip-sparc-failure. Skip a test on Sparc that crashes the test
    runner.

 -- Scott Kitterman <scott@kitterman.com>  Mon, 14 Jul 2014 01:13:49 -0400

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends:
  debhelper (>= 9),
- dh-python,
+ dh-python (>= 1.20130901),
  libffi-dev,
  python-all-dbg,
  python-all-dev (>= 2.6.6-3~),
@@ -13,14 +13,14 @@
  python-pycparser,
  python-pytest,
  python-setuptools,
- python-virtualenv,
+ virtualenv | python-virtualenv (<< 1.11.6),
  python3-all-dbg,
  python3-all-dev (>= 3.1.2-6~),
  python3-py,
  python3-pycparser,
  python3-pytest,
  python3-setuptools
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://cffi.readthedocs.org/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-cffi/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-cffi/trunk/

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,6 @@
 #!/usr/bin/make -f
 
-DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
-
-export PYBUILD_DESTDIR_python2=debian/python-cffi/
-export PYBUILD_DESTDIR_python2-dbg=debian/python-cffi-dbg/
-export PYBUILD_DESTDIR_python3=debian/python3-cffi/
-export PYBUILD_DESTDIR_python3-dbg=debian/python3-cffi-dbg/
+export PYBUILD_NAME=cffi
 
 %:
 	dh $@ --with python2,python3 --buildsystem pybuild

=== debian/tests/control ===
Tests: unittests
Depends:
 build-essential,
 python-all-dbg,
 python-all-dev,
 python-cffi,
 python-cffi-dbg,
 python-py,
 python-pytest,
 virtualenv | python-virtualenv (<< 1.11.6)

Tests: unittests3
Depends:
 build-essential,
 python3-all-dbg,
 python3-all-dev,
 python3-cffi,
 python3-cffi-dbg,
 python3-py,
 python3-pytest,
 virtualenv | python-virtualenv (<< 1.11.6)

## python-cffi 0.9.2

=== debian/changelog ===
python-cffi (0.9.2-1ubuntu1) vivid; urgency=medium

  * Merge from Debian experimental. LP: #1434191. Remaining changes:
    - Drop the build dependency on python-virtualenv (universe), it is an
      optional test.

 -- Stefano Rivera <stefanor@ubuntu.com>  Tue, 17 Mar 2015 21:24:23 -0700

python-cffi (0.9.2-1) experimental; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 17 Mar 2015 21:24:23 -0700

python-cffi (0.9.0-1) experimental; urgency=medium

  * New upstream release. (Closes: #733517, 774787)
  * Drop patches, applied upstream.
  * Point watch file at pypi.debian.net.
  * Update copyright years.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Upload to experimental, due to the freeze.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 04 Mar 2015 14:58:17 +0200

=== debian/control ===
--- 
+++ 
@@ -13,14 +13,13 @@
  python-pycparser,
  python-pytest,
  python-setuptools,
- virtualenv | python-virtualenv (<< 1.11.6),
  python3-all-dbg,
  python3-all-dev (>= 3.1.2-6~),
  python3-py,
  python3-pycparser,
  python3-pytest,
  python3-setuptools
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://cffi.readthedocs.org/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-cffi/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-cffi/trunk/

## python-cffi 1.1.2

=== debian/changelog ===
python-cffi (1.1.2-1ubuntu2~cloud2) trusty-liberty; urgency=medium

  * New update for the Ubuntu Cloud Archive:
    - d/control: Drop generation of versioned Provides which is not
      supported on Ubuntu 14.04.

 -- James Page <james.page@ubuntu.com>  Fri, 30 Oct 2015 12:47:57 +0900

python-cffi (1.1.2-1ubuntu2) wily; urgency=medium

  * No-change rebuild for python3.5 transition.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 21 Jul 2015 22:15:36 +0000

python-cffi (1.1.2-1ubuntu1) wily; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Drop the build dependency on python-virtualenv (universe), it is an
      optional test.

 -- Stefano Rivera <stefanor@ubuntu.com>  Sun, 05 Jul 2015 21:02:26 -0700

python-cffi (1.1.2-1) unstable; urgency=medium

  * New upstream release.
  * Update clean rule for test-suite reorg.
  * Patch: Correctly locate py2.7 debug build extensions.
  * Remove package data from -dbg packages.
  * Install upstream's new shiny changelog as a changelog.
  * Drop now-obsolete XS-Testsuite field.
  * Update autopkgtests, for test-suite reorg. Ignore test_parse_c_type.py.
  * Split the cffi_backend module into python-cffi-backend (and similarly for
    Python 3). (Closes: #782275, LP: #1442369)

 -- Stefano Rivera <stefanor@debian.org>  Mon, 29 Jun 2015 14:13:00 -0700

python-cffi (0.9.2-2) unstable; urgency=medium

  * Upload to unstable, now that jessie has released.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 08 May 2015 22:50:47 -0700

=== debian/control ===
Source: python-cffi
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Stefano Rivera <stefanor@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python (>= 1.20130901),
 libffi-dev,
 python-all-dbg,
 python-all-dev (>= 2.6.6-3~),
 python-py,
 python-pycparser,
 python-pytest,
 python-setuptools,
 python3-all-dbg,
 python3-all-dev (>= 3.1.2-6~),
 python3-py,
 python3-pycparser,
 python3-pytest,
 python3-setuptools,
Standards-Version: 3.9.6
Homepage: http://cffi.readthedocs.org/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-cffi/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-cffi/trunk/
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.1

Package: python-cffi
Architecture: all
Depends:
 python-cffi-backend (<< ${source:Version}+c),
 python-cffi-backend (>= ${source:Version}),
 ${misc:Depends},
 ${python:Depends}
Suggests: python-dev
Description: Foreign Function Interface for Python calling C code
 Convenient and reliable way of calling C code from Python.
 .
 The aim of this project is to provide a convenient and reliable way of calling
 C code from Python. It keeps Python logic in Python, and minimises the C
 required. It is able to work at either the C API or ABI level, unlike most
 other approaches, that only support the ABI level.
 .
 This package contains the necessary build and runtime support for cffi
 modules.

Package: python-cffi-backend
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Replaces: python-cffi (<< 1)
Breaks: python-cffi (<< 1)
Description: Foreign Function Interface for Python calling C code - backend
 Convenient and reliable way of calling C code from Python.
 .
 The aim of this project is to provide a convenient and reliable way of calling
 C code from Python. It keeps Python logic in Python, and minimises the C
 required. It is able to work at either the C API or ABI level, unlike most
 other approaches, that only support the ABI level.
 .
 This package contains the runtime support for pre-built cffi modules.

Package: python-cffi-backend-dbg
Architecture: any
Section: debug
Priority: extra
Depends:
 python-cffi-backend (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Replaces: python-cffi-dbg (<< 1)
Breaks: python-cffi-dbg (<< 1)
Description: Foreign Function Interface for Python calling C code (Debug version)
 Convenient and reliable way of calling C code from Python.
 .
 The aim of this project is to provide a convenient and reliable way of calling
 C code from Python. It keeps Python logic in Python, and minimises the C
 required. It is able to work at either the C API or ABI level, unlike most
 other approaches, that only support the ABI level.
 .
 This package contains the debug version of the python-cffi backend.

Package: python3-cffi
Architecture: all
Depends:
 python3-cffi-backend (<< ${source:Version}+c),
 python3-cffi-backend (>= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends}
Suggests: python3-dev
Description: Foreign Function Interface for Python 3 calling C code
 Convenient and reliable way of calling C code from Python 3.
 .
 The aim of this project is to provide a convenient and reliable way of calling
 C code from Python. It keeps Python logic in Python, and minimises the C
 required. It is able to work at either the C API or ABI level, unlike most
 other approaches, that only support the ABI level.
 .
 This package contains the necessary build and runtime support for cffi
 modules.

Package: python3-cffi-backend
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Replaces: python3-cffi (<< 1)
Breaks: python3-cffi (<< 1)
Description: Foreign Function Interface for Python 3 calling C code - runtime
 Convenient and reliable way of calling C code from Python 3.
 .
 The aim of this project is to provide a convenient and reliable way of calling
 C code from Python. It keeps Python logic in Python, and minimises the C
 required. It is able to work at either the C API or ABI level, unlike most
 other approaches, that only support the ABI level.
 .
 This package contains the runtime support for pre-built cffi modules.

Package: python3-cffi-backend-dbg
Architecture: any
Section: debug
Priority: extra
Depends:
 python3-cffi-backend (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends}
Replaces: python3-cffi-dbg (<< 1)
Breaks: python3-cffi-dbg (<< 1)
Description: Foreign Function Interface for Python 3 calling C code (Debug version)
 Convenient and reliable way of calling C code from Python 3.
 .
 The aim of this project is to provide a convenient and reliable way of calling
 C code from Python. It keeps Python logic in Python, and minimises the C
 required. It is able to work at either the C API or ABI level, unlike most
 other approaches, that only support the ABI level.
 .
 This package contains the debug version of the python3-cffi backend.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_DESTDIR_python2=debian/python-cffi
export PYBUILD_DESTDIR_python3=debian/python3-cffi
export PYBUILD_EXT_DESTDIR_python2=debian/python-cffi-backend
export PYBUILD_EXT_DESTDIR_python3=debian/python3-cffi-backend
export PYBUILD_EXT_DESTDIR_python2-dbg=debian/python-cffi-backend-dbg
export PYBUILD_EXT_DESTDIR_python3-dbg=debian/python3-cffi-backend-dbg

%:
	dh $@ --with python2,python3 --buildsystem pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
		PYBUILD_TEST_ARGS="{interpreter} -m pytest c/ testing/" \
		dh_auto_test

override_dh_install:
	debian/gen-backend-versions.py
	dh_install

override_dh_installchangelogs:
	dh_installchangelogs doc/source/whatsnew.rst

override_dh_strip:
	dh_strip -p python-cffi-backend -p python-cffi-backend-dbg \
	         --dbg-package=python-cffi-backend-dbg
	dh_strip -p python3-cffi-backend -p python3-cffi-backend-dbg \
	         --dbg-package=python3-cffi-backend-dbg
	dh_strip --remaining-packages

override_dh_clean:
	dh_clean
	rm -rf $(wildcard testing/*/snippets/*/build testing/*/snippets/*/dist testing/*/snippets/*/*.egg-info)

## python-cffi 1.4.2

=== debian/changelog ===
python-cffi (1.4.2-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * pybuild --ext-dest-dir is buggy before 1.20150628-1, so move
    extensions manually in debian/rules.
  * Breaks: Packages in jessie that aren't compatible with cffi 1.0

 -- Stefano Rivera <stefanor@debian.org>  Mon, 18 Jan 2016 11:28:44 -0800

python-cffi (1.4.2-2) unstable; urgency=medium

  * Workaround a libffi bug in struct return value handling on arm64, which
    was causing tests to fail.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 29 Dec 2015 10:46:03 +0200

python-cffi (1.4.2-1) unstable; urgency=medium

  * New upstream release

 -- Stefano Rivera <stefanor@debian.org>  Fri, 25 Dec 2015 17:16:28 +0200

python-cffi (1.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 24 Nov 2015 08:52:16 -0800

python-cffi (1.3.0-3) unstable; urgency=medium

  * Install setuptools for autopkgtests.
  * Allow test_zdist to be run standalane, for autopkgtests.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 26 Oct 2015 23:52:12 -0700

python-cffi (1.3.0-2) unstable; urgency=medium

  * Fix test failures on 32bit ARM.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 22 Oct 2015 08:35:44 -0700

python-cffi (1.3.0-1) unstable; urgency=medium

  * New upstream release (Closes: #799278).
  * Update VCS fields for Git migration.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 21 Oct 2015 17:11:18 -0700

python-cffi (1.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.
  * Use stricter dependencies (python{3,}-cffi-backend-api-XXX), until we can
    use versioned provides.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 17 Sep 2015 11:56:41 -0400

python-cffi (1.1.2-2) experimental; urgency=medium

  * Upload to experimental
  * Rewrite cffi dependencies to python-cffi-backend with a PyDist
    file, so that pre-built cffi modules only depend on the backend.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 29 Jun 2015 15:53:54 -0700

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-cffi
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends:
  debhelper (>= 9),
@@ -20,10 +19,11 @@
  python3-pycparser,
  python3-pytest,
  python3-setuptools,
+ virtualenv | python-virtualenv (<< 1.11.6)
 Standards-Version: 3.9.6
 Homepage: http://cffi.readthedocs.org/
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-cffi/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-cffi/trunk/
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-cffi.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-cffi.git
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.1
 
@@ -50,7 +50,12 @@
 Architecture: any
 Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
 Replaces: python-cffi (<< 1)
-Breaks: python-cffi (<< 1)
+Breaks:
+ python-cffi (<< 1),
+ python-cryptography (<< 0.8.2-4~),
+ python-ssdeep (<< 3.1+dfsg-1+b1~),
+ snimpy (<< 0.8.6-1+b1~)
+Provides: ${cffi:Provides}
 Description: Foreign Function Interface for Python calling C code - backend
  Convenient and reliable way of calling C code from Python.
  .
@@ -90,6 +95,9 @@
  ${misc:Depends},
  ${python3:Depends}
 Suggests: python3-dev
+Breaks:
+ python3-cryptography (<< 0.8.2-4~),
+ python3-ssdeep (<< 3.1+dfsg-1+b1~)
 Description: Foreign Function Interface for Python 3 calling C code
  Convenient and reliable way of calling C code from Python 3.
  .
@@ -106,6 +114,7 @@
 Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
 Replaces: python3-cffi (<< 1)
 Breaks: python3-cffi (<< 1)
+Provides: ${cffi:Provides}
 Description: Foreign Function Interface for Python 3 calling C code - runtime
  Convenient and reliable way of calling C code from Python 3.
  .

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=cffi
export PYBUILD_AFTER_INSTALL=find {destdir} -name '*.so' | python3 -c 'import os; src=input().strip(); src=os.path.relpath(src); dst=src.replace("cffi", "cffi-backend", 1); os.makedirs(os.path.dirname(dst)); os.rename(src, dst); print("RENAMED %s -> %s" % (src, dst))'

%:
	dh $@ --with python2,python3 --buildsystem pybuild

override_dh_auto_test:
#	PYBUILD_SYSTEM=custom \
#		PYBUILD_TEST_ARGS="{interpreter} -m pytest c/ testing/" \
#		dh_auto_test
	true

override_dh_install:
	debian/gen-backend-versions.py
	dh_install

override_dh_installchangelogs:
	dh_installchangelogs doc/source/whatsnew.rst

override_dh_strip:
	dh_strip -p python-cffi-backend -p python-cffi-backend-dbg \
	         --dbg-package=python-cffi-backend-dbg
	dh_strip -p python3-cffi-backend -p python3-cffi-backend-dbg \
	         --dbg-package=python3-cffi-backend-dbg
	dh_strip --remaining-packages

override_dh_clean:
	dh_clean
	rm -rf $(wildcard testing/*/snippets/*/build testing/*/snippets/*/dist testing/*/snippets/*/*.egg-info)
	rm -rf debian/python-cffi-dbg debian/python3-cffi-dbg

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/cffi/cffi-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-cffi 1.5.2

=== debian/changelog ===
python-cffi (1.5.2-1ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Drop the build dependency on virtualenv (universe), it is only required
      for optional tests.

 -- Stefano Rivera <stefanor@ubuntu.com>  Thu, 18 Feb 2016 00:18:52 -0800

python-cffi (1.5.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop all patches, superseded upstream.
  * Switch VCS fields to the same https URL
  * Switch watch file to use https.
  * Bump Standards-Version to 3.9.7, no changes needed.
  * Instruct virtualenv to never download, during package tests.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 18 Feb 2016 00:09:22 -0800

python-cffi (1.5.0-1ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Drop the build dependency on virtualenv (universe), it is only required
      for optional tests.

 -- Stefano Rivera <stefanor@ubuntu.com>  Sun, 17 Jan 2016 18:36:04 -0800

python-cffi (1.5.0-1) unstable; urgency=medium

  * New upstream release
  * Bump dh-python Build-Dep to a version that can correctly use
    --ext-dest-dir.
  * Drop patches superseded upstream.
  * Patch the new extension system to work with pybuild, and support -dbg
    interpreters.
  * Bump copyright years.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 17 Jan 2016 11:03:41 -0800

python-cffi (1.4.2-2ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Drop the build dependency on virtualenv (universe), it is only required
      for optional tests.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 29 Dec 2015 11:49:05 +0200

python-cffi (1.4.2-1ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Drop the build dependency on virtualenv (universe), it is only required
      for optional tests.

 -- Stefano Rivera <stefanor@ubuntu.com>  Fri, 25 Dec 2015 18:50:41 +0200

python-cffi (1.3.1-1ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Drop the build dependency on virtualenv (universe), it is only required
      for optional tests.

 -- Stefano Rivera <stefanor@ubuntu.com>  Tue, 24 Nov 2015 16:03:41 -0800

python-cffi (1.3.0-3ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Drop the build dependency on virtualenv (universe), it is only required
      for optional tests.

 -- Stefano Rivera <stefanor@ubuntu.com>  Fri, 23 Oct 2015 15:16:17 -0700

python-cffi (1.3.0-2ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Drop the build dependency on python-virtualenv (universe), it is an
      optional test.

 -- Stefano Rivera <stefanor@ubuntu.com>  Fri, 23 Oct 2015 15:16:17 -0700

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: python-cffi
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends:
  debhelper (>= 9),
- dh-python (>= 1.20130901),
+ dh-python (>= 1.20150628),
  libffi-dev,
  python-all-dbg,
  python-all-dev (>= 2.6.6-3~),
@@ -18,12 +19,11 @@
  python3-py,
  python3-pycparser,
  python3-pytest,
- python3-setuptools,
- virtualenv | python-virtualenv (<< 1.11.6)
-Standards-Version: 3.9.6
+ python3-setuptools
+Standards-Version: 3.9.7
 Homepage: http://cffi.readthedocs.org/
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-cffi.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-cffi.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-cffi.git
+Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-cffi.git
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.1
 
@@ -50,11 +50,7 @@
 Architecture: any
 Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
 Replaces: python-cffi (<< 1)
-Breaks:
- python-cffi (<< 1),
- python-cryptography (<< 0.8.2-4~),
- python-ssdeep (<< 3.1+dfsg-1+b1~),
- snimpy (<< 0.8.6-1+b1~)
+Breaks: python-cffi (<< 1)
 Provides: ${cffi:Provides}
 Description: Foreign Function Interface for Python calling C code - backend
  Convenient and reliable way of calling C code from Python.
@@ -95,9 +91,6 @@
  ${misc:Depends},
  ${python3:Depends}
 Suggests: python3-dev
-Breaks:
- python3-cryptography (<< 0.8.2-4~),
- python3-ssdeep (<< 3.1+dfsg-1+b1~)
 Description: Foreign Function Interface for Python 3 calling C code
  Convenient and reliable way of calling C code from Python 3.
  .

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_DESTDIR_python2=debian/python-cffi
export PYBUILD_DESTDIR_python3=debian/python3-cffi
export PYBUILD_EXT_DESTDIR_python2=debian/python-cffi-backend
export PYBUILD_EXT_DESTDIR_python3=debian/python3-cffi-backend
export PYBUILD_EXT_DESTDIR_python2-dbg=debian/python-cffi-backend-dbg
export PYBUILD_EXT_DESTDIR_python3-dbg=debian/python3-cffi-backend-dbg

# Temporary hack until cffi defaults to calling virtualenv with --never-download
export VIRTUALENV_DOWNLOAD=no

%:
	dh $@ --with python2,python3 --buildsystem pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
		PYBUILD_TEST_ARGS="{interpreter} -m pytest c/ testing/" \
		dh_auto_test

override_dh_install:
	debian/gen-backend-versions.py
	dh_install

override_dh_installchangelogs:
	dh_installchangelogs doc/source/whatsnew.rst

override_dh_strip:
	dh_strip -p python-cffi-backend -p python-cffi-backend-dbg \
	         --dbg-package=python-cffi-backend-dbg
	dh_strip -p python3-cffi-backend -p python3-cffi-backend-dbg \
	         --dbg-package=python3-cffi-backend-dbg
	dh_strip --remaining-packages

override_dh_clean:
	dh_clean
	rm -rf $(wildcard testing/*/snippets/*/build testing/*/snippets/*/dist testing/*/snippets/*/*.egg-info)

=== debian/tests/control ===
Tests: unittests
Depends:
 build-essential,
 python-all-dbg,
 python-all-dev,
 python-cffi,
 python-cffi-backend-dbg,
 python-py,
 python-pytest,
 python-setuptools,
 virtualenv | python-virtualenv (<< 1.11.6)

Tests: unittests3
Depends:
 build-essential,
 python3-all-dbg,
 python3-all-dev,
 python3-cffi,
 python3-cffi-backend-dbg,
 python3-py,
 python3-pytest,
 python3-setuptools,
 virtualenv | python-virtualenv (<< 1.11.6)

## python-cffi 1.7.0

=== debian/changelog ===
python-cffi (1.7.0-1ubuntu1) yakkety; urgency=medium

  * debian/patches/unsigned_casts_direct_typeoffsetof.patch: Cast to
    unsigned multiplication in direct_typeoffsetof.
    Closes LP: #1630322.

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Tue, 04 Oct 2016 10:18:14 -0700

python-cffi (1.7.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #811953)

 -- Stefano Rivera <stefanor@debian.org>  Mon, 01 Aug 2016 12:52:35 -0400

python-cffi (1.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8, no changes needed.
  * britney now supports versioned Provides, so generate them in pydist.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 07 May 2016 18:57:57 +0200

## python-cffi 1.9.1

=== debian/changelog ===
python-cffi (1.9.1-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports, carrying this change from 1.4.2-2~bpo8+1:
    - Breaks: Packages in jessie that aren't compatible with cffi 1.0.
  * Don't generate versioned Provides, dpkg isn't ready for them yet.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 23 May 2017 17:19:24 -0700

python-cffi (1.9.1-2) unstable; urgency=medium

  * Patch kfreebsd-mtime-resolution: Explicitly flush import cache after
    creating a Python module in test_recompiler. Fixes test failures on
    kFreeBSD.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 30 Dec 2016 19:15:07 +0100

python-cffi (1.9.1-1) unstable; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 30 Dec 2016 12:54:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-cffi
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends:
  debhelper (>= 9),
@@ -19,8 +18,9 @@
  python3-py,
  python3-pycparser,
  python3-pytest,
- python3-setuptools
-Standards-Version: 3.9.7
+ python3-setuptools,
+ virtualenv | python-virtualenv (<< 1.11.6)
+Standards-Version: 3.9.8
 Homepage: http://cffi.readthedocs.org/
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-cffi.git
 Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-cffi.git
@@ -50,7 +50,11 @@
 Architecture: any
 Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
 Replaces: python-cffi (<< 1)
-Breaks: python-cffi (<< 1)
+Breaks:
+ python-cffi (<< 1),
+ python-cryptography (<< 0.8.2-4~),
+ python-ssdeep (<< 3.1+dfsg-1+b1~),
+ snimpy (<< 0.8.6-1+b1~)
 Provides: ${cffi:Provides}
 Description: Foreign Function Interface for Python calling C code - backend
  Convenient and reliable way of calling C code from Python.
@@ -91,6 +95,9 @@
  ${misc:Depends},
  ${python3:Depends}
 Suggests: python3-dev
+Breaks:
+ python3-cryptography (<< 0.8.2-4~),
+ python3-ssdeep (<< 3.1+dfsg-1+b1~)
 Description: Foreign Function Interface for Python 3 calling C code
  Convenient and reliable way of calling C code from Python 3.
  .

## python-cffi 1.10.0

=== debian/changelog ===
python-cffi (1.10.0-0.1+ubuntu16.04.1+certbot+1) xenial; urgency=medium

  * No-change backport to xenial

 -- Ondřej Surý <ondrej@debian.org>  Mon, 23 Oct 2017 08:00:50 +0000

python-cffi (1.10.0-0.1) unstable; urgency=medium

  * Remove versioned Provides for Ubuntu trusty

 -- Ondřej Surý <ondrej@debian.org>  Mon, 23 Oct 2017 08:00:07 +0000

python-cffi (1.10.0-0) unstable; urgency=medium

  * Disable tests for Ubuntu backports
  * Relax the API dependency on python-cffi-backend-api-{target}
  * New upstream version 1.10.0
  * Remove all patches merged upstream

 -- Ondřej Surý <ondrej@debian.org>  Thu, 18 May 2017 15:44:51 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/default.mk
 
 export PYBUILD_DESTDIR_python2=debian/python-cffi
 export PYBUILD_DESTDIR_python3=debian/python3-cffi
@@ -13,13 +15,11 @@
 %:
 	dh $@ --with python2,python3 --buildsystem pybuild
 
+# Disable tests for Ubuntu backports
 override_dh_auto_test:
-	PYBUILD_SYSTEM=custom \
-		PYBUILD_TEST_ARGS="{interpreter} -m pytest c/ testing/" \
-		dh_auto_test
 
 override_dh_install:
-	debian/gen-backend-versions.py
+	debian/gen-backend-versions.py $(DEB_DISTRIBUTION)
 	dh_install
 
 override_dh_installchangelogs:

## python-cffi 1.11.4

=== debian/changelog ===
python-cffi (1.11.4-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * New upstream release.
  * Drop patches, superseded upstream.
  * Update copyright years.
  * Bump Standards-Version to 4.1.3, no changes needed.
  * Declare Rules-Requires-Root: no
  * Bump debhelper compat to 11.
  * Patch: Avoid embedded bootstrapping race in recent python2.7
    (Closes: #889813)

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1

 -- Stefano Rivera <stefanor@debian.org>  Tue, 20 Feb 2018 10:24:15 -0800

## python-cffi 1.11.5

=== debian/changelog ===
python-cffi (1.11.5-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches, superseded upstream.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 27 Feb 2018 11:34:07 -0800

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11),
  dh-python (>= 1.20150628),
  libffi-dev,
  python-all-dbg,
@@ -20,12 +20,13 @@
  python3-pytest,
  python3-setuptools,
  virtualenv | python-virtualenv (<< 1.11.6)
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: http://cffi.readthedocs.org/
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-cffi.git
-Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-cffi.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-cffi.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-cffi
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.1
+Rules-Requires-Root: no
 
 Package: python-cffi
 Architecture: all
@@ -50,11 +51,7 @@
 Architecture: any
 Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
 Replaces: python-cffi (<< 1)
-Breaks:
- python-cffi (<< 1),
- python-cryptography (<< 0.8.2-4~),
- python-ssdeep (<< 3.1+dfsg-1+b1~),
- snimpy (<< 0.8.6-1+b1~)
+Breaks: python-cffi (<< 1)
 Provides: ${cffi:Provides}
 Description: Foreign Function Interface for Python calling C code - backend
  Convenient and reliable way of calling C code from Python.
@@ -69,7 +66,6 @@
 Package: python-cffi-backend-dbg
 Architecture: any
 Section: debug
-Priority: extra
 Depends:
  python-cffi-backend (= ${binary:Version}),
  ${misc:Depends},
@@ -95,9 +91,6 @@
  ${misc:Depends},
  ${python3:Depends}
 Suggests: python3-dev
-Breaks:
- python3-cryptography (<< 0.8.2-4~),
- python3-ssdeep (<< 3.1+dfsg-1+b1~)
 Description: Foreign Function Interface for Python 3 calling C code
  Convenient and reliable way of calling C code from Python 3.
  .
@@ -128,7 +121,6 @@
 Package: python3-cffi-backend-dbg
 Architecture: any
 Section: debug
-Priority: extra
 Depends:
  python3-cffi-backend (= ${binary:Version}),
  ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-
-include /usr/share/dpkg/default.mk
 
 export PYBUILD_DESTDIR_python2=debian/python-cffi
 export PYBUILD_DESTDIR_python3=debian/python3-cffi
@@ -9,17 +7,18 @@
 export PYBUILD_EXT_DESTDIR_python2-dbg=debian/python-cffi-backend-dbg
 export PYBUILD_EXT_DESTDIR_python3-dbg=debian/python3-cffi-backend-dbg
 
-# Temporary hack until cffi defaults to calling virtualenv with --never-download
 export VIRTUALENV_DOWNLOAD=no
 
 %:
 	dh $@ --with python2,python3 --buildsystem pybuild
 
-# Disable tests for Ubuntu backports
 override_dh_auto_test:
+	PYBUILD_SYSTEM=custom \
+		PYBUILD_TEST_ARGS="{interpreter} -m pytest c/ testing/" \
+		dh_auto_test
 
 override_dh_install:
-	debian/gen-backend-versions.py $(DEB_DISTRIBUTION)
+	debian/gen-backend-versions.py
 	dh_install
 
 override_dh_installchangelogs:

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/cffi/cffi-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
